# Initiate Payment

The endpoint /v1/payment/init is a POST request that initiates a payment. The request body should be in raw format and include the following parameters:

#### <mark style="color:green;">POST:</mark> /v1/payment/init

#### Headers

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| secret-key | string | Your Vesicash secret key |
| public-key | string | Your Vesicash public key |

#### Request body

* currency (string): The currency for the payment.
* country (string): The country for the payment.
* narration (string): Description or reason for the payment.
* method (string): The payment method to be used.
* amount (number): The amount of the payment.
* webhook\_url (string): A URL where notifications about the payment status will be sent.
* redirect\_url (sting):

#### Request

For example, you can make a post request to the endpoint above and pass in the raw json data below to create a one-off transaction.

```
{
"currency": "ZMW",
    "country": "ZM",
    "narration": "payment for rice",
    "method": "mobilemoney", //"card"
    "amount": 1.3,
    "webhook_url: "",
    "redirect_url": "",
}
```

#### Response

```
{
    "status": "success",
    "code": 200,
    "message": "success",
    "data": {
        "payment_link": "",
        "reference": "",
        "payment_id": "",
        "status": "pending"
    }
}
```
